#/bin/bash

../selav1d <<- EOF
n=0; pad = 0;
do(2) {
	pad=pad+1;
	do(3) {
		n=n+1;
		psd = psd_ensemble("dist.ast",nslices=64,nexp=n,type="astra");
		print(integral(psd));
		m = map_spacecharge(psd,file=format("field-%04g-%04g.dat",n,pad),npad=pad,
			beamsize=0.36e-3,
			energy=4.51e6
		);
	};
};
EOF

FIELDS=$( for i in field*dat; do printf '"%s" u 1:3 w l,' $i; done )
gnuplot -e "set term eps; plot $FIELDS" > test.eps
